<?php
require'fun.php';
function getrating($descarcat)
{
global$domenii_statice;
if($descarcat<30)
return'<img src="'.$domenii_statice[2].'s2.gif" alt="." />';
elseif($descarcat<60)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." />';
elseif($descarcat<90)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[2].'s2.gif" alt="." />';
elseif($descarcat<120)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." />';
elseif($descarcat<150)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[2].'s2.gif" alt="." />';
elseif($descarcat<180)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." />';
elseif($descarcat<210)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[2].'s2.gif" alt="." />';
elseif($descarcat<240)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." />';
elseif($descarcat<270)
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[2].'s2.gif" alt="." />';
else
return'<img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." /><img src="'.$domenii_statice[1].'s1.gif" alt="." />';
}
require'f_conectare.php';
conectare('parteneri','parteneri-site');
$head[1]='lista parteneri, lista site-urilor partenere';
$titlu='Parteneri';
$chenar_patrat=1;
require'f_tabelare.php';
require'f_sus.php';
if($de>0)
require'f_nou.php';
echo$div[4].img('parteneri.gif',2).'Parteneri'.$div[5].$div[10].'Daca vrei sa fi partener cu site-ul nostru și adresa ta să apară aici, scrie-i un mesaj lui <strong>'.join(', sau lui ',array_map('nume',$id_proprietari)).'</strong>,<br />Iar pe site-ul tau trebuie să introduci urmatorul cod:<br /><textarea><a href="'.$adresasite[0].'/?id='.$de.'"><img src="/'.$conn->query('SELECT`link`FROM`imagini_iconite`WHERE`pid`="3"ORDER BY`id`LIMIT 1')->fetch_row()[0].'" /></a></textarea><br /><img src="/'.$conn->query('SELECT`link`FROM`imagini_iconite`WHERE`pid`="3"ORDER BY`id`LIMIT 1')->fetch_row()[0].'" />'.$div[0];
$elemente=$conn->query('SELECT COUNT(*)FROM`parteneri`')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$items=$conn->query('SELECT`id`,`nume`,`logo`,`descarcari`FROM`parteneri`ORDER BY`descarcari`DESC LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo'<tr><td'.$clasa_kk.'><a href="/descarca/id/'.$item[0].'-'.seo($item[1]).'/tip/parteneri"><img '.$clasa_imagine.'src="'.($item[2]!=''?'/'.$item[2]:$domenii_statice[2].'nopic.jpg').'" alt="Se încarcă..." /></a></td><td'.$clasa_k.'>'.$clasa_n.'<a href="/descarca/id/'.$item[0].'-'.seo($item[1]).'/tip/parteneri">'.img('parteneri.gif',2).htmlspecialchars($item[1]).'</a>'.($perm>1?' <sterge><a href="/admin-editeaza-parteneri/id/'.$item[0].'-'.seo($item[1]).'"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Editează</a><strong> - </strong><a href="/admin-sterge-partener/id/'.$item[0].'-'.seo($item[1]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a></sterge>':'').$div[0].$clasa_normal.'Rating: '.getrating($item[3]).'<br />Vizite: '.number_format($item[3]).$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt site-uri partenere adaugate!'.$div[0];
if($perm>1)
echo$div[1].'<a href="/admin-adauga-parteneri"><img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă site partener</a>'.$div[0];
require'f_jos.php';